#ifndef _AUDIO_BUFFER_H_
#define _AUDIO_BUFFER_H_

typedef struct audio_item {
  char *data;
  int count;
  struct audio_item *next;
} audio_item;

typedef struct {
  audio_item *start;
  audio_item *end;
  int count;
} audio_buffer;

void put_audio(char *, int);
audio_item get_audio(void);

void its_over_buffer_audio(void);

void reset_audio_buffer(void);

#endif /* _AUDIO_BUFFER_H_ */
