#ifndef _XML_H_
#define _XML_H_

typedef struct {
  char *video_url;
  char *audio_url;
  char *video_priv;
  char *audio_priv;
  uint64_t video_start;
  uint64_t audio_start;
  uint64_t video_bitrate;
  uint64_t audio_bitrate;
  uint64_t video_inc;
  uint64_t audio_inc;
  uint64_t video_timescale;
  uint64_t audio_timescale;
} xmldata;

void init_xml(void);
int parse_xml(xmldata *, char *, int);

#endif /* _XML_H_ */
