#ifndef _UTILS_H_
#define _UTILS_H_

#include <stdint.h>
#include "download.h"

void replace(char *s, char *t, char *nt);

void get_mdat(dbuf *in, dbuf *out);

int hex2raw(char *out, char *in);

void set_start_time(void);
uint64_t get_start_time(void);

void set_video_start_time(uint64_t);
uint64_t get_video_start_time(void);
void set_audio_start_time(uint64_t);
uint64_t get_audio_start_time(void);

extern int volatile its_over;

int get_utf8(char *, int *);

void lock_channels_list(void);
void unlock_channels_list(void);

typedef struct {
  char *data;
  int id;
} id_image;

#endif /* _UTILS_H_ */
