#ifndef _BUFFER_H_
#define _BUFFER_H_

typedef struct compressed_images_item {
  char *data;
  int size;
  struct compressed_images_item *next;
} compressed_images_item;

typedef struct {
  compressed_images_item *start;
  compressed_images_item *end;
} compressed_images_buffer;

typedef struct image_item {
  char *data;
  int width;
  int height;
} image_item;

void init_image_buffer(void);
int get_image_buffer_pipe(void);

void put_image(char *, int, int);
image_item get_image(void);

void put_compressed_images(char *, int);
compressed_images_item get_compressed_images(void);

void its_over_buffer(void);

void reset_buffer(void);

#endif /* _BUFFER_H_ */
